test: _KAPC_STATE struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _KAPC_STATE Struct Reference

`#include <ke.h>`

List of all members.

## Public Attributes

LIST_ENTRY | ApcListHead [MaximumMode]
_KPROCESS * | Process
BOOLEAN | KernelApcInProgress
BOOLEAN | KernelApcPending
BOOLEAN | UserApcPending

## Member Data Documentation

LIST_ENTRY _KAPC_STATE::ApcListHead[MaximumMode]

| Definition at line 243 of file ke.h. Referenced by Ke386VdmInsertQueueApc(), KeDetachProcess(), KeReleaseMutant(), KeRemoveQueueApc(), KeTestAlertThread(), KeUnstackDetachProcess(), KiDeliverApc(), KiInsertQueueApc(), and KiSuspendThread().

BOOLEAN _KAPC_STATE::KernelApcInProgress

| Definition at line 245 of file ke.h. Referenced by KeDetachProcess(), KeUnstackDetachProcess(), KiDeliverApc(), and KiInsertQueueApc().

BOOLEAN _KAPC_STATE::KernelApcPending

| Definition at line 246 of file ke.h. Referenced by Ke386VdmInsertQueueApc(), KeDelayExecutionThread(), KeDetachProcess(), KeReleaseMutant(), KeRemoveQueue(), KeRemoveQueueApc(), KeUnstackDetachProcess(), KeWaitForMultipleObjects(), KeWaitForSingleObject(), KiDeliverApc(), and KiInsertQueueApc().

struct _KPROCESS* _KAPC_STATE::Process

| Definition at line 244 of file ke.h. Referenced by Ke386CallBios(), Ke386SetIOPL(), KeAttachProcess(), KeAttachSessionSpace(), KeBoostCurrentThread(), KeDelayExecutionThread(), KeDetachProcess(), KeDetachSessionSpace(), KeDisableSessionSharing(), KeEnableSessionSharing(), KeFlushEntireTb(), KeFlushMultipleTb(), KeFlushMultipleTb64(), KeFlushSingleTb(), KeFlushSingleTb64(), KeForceAttachProcess(), KeFreezeAllThreads(), KeProfileInterruptWithSource(), KeSetEventBoostPriority(), KeStackAttachProcess(), KeUnstackDetachProcess(), KeUpdateRunTime(), KiQuantumEnd(), KiScanReadyQueues(), KiSyncNewRegionIdTarget(), KiSyncSessionTarget(), NtYieldExecution(), and PspExitThread().

BOOLEAN _KAPC_STATE::UserApcPending

| Definition at line 247 of file ke.h. Referenced by Ke386VdmInsertQueueApc(), KeRemoveQueue(), KeRemoveQueueApc(), KeTestAlertThread(), KiDeliverApc(), KiInsertQueueApc(), KiSuspendThread(), and PspUserThreadStartup().

The documentation for this struct was generated from the following file:

- ke.h